<?php
namespace App\JsonRpc;
interface NewsServiceInterface
{
    /**
     * @param array $data
     *  @return array
    */
    public function getCategoryList(array $data):array;
    /**
     * @param array $data
     *  @return array
     */
    public function categoryList(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function addCategory(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function delCategory(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function updateCategory(array $data):array;

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getArticleList(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function addArticle(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function delArticle(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function updateArticle(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function getArticleInfo(array $data):array;

    /**
     * 获取导航池信息
     * @param array $data
     * @return array
     */
    public function getCategoryInfo(array $data):array;

    /**
     * @param array $data
     * @return array
     */
    public function upArticleStatus(array $data):array;

}
